# eu.astrogd.white-leopard
A Discord bot that checks Discord channel names for banned words and prevents renaming of them

## Environment variables
| Name        | Description                                                   | Required | Example             |
| :---------- | :------------------------------------------------------------ | :------: | :------------------ |
| TOKEN       | Discord bot token to log into the API with                    |   ▶️/🚀    | NzYzMDP3MzE1Mzky... |
| DB_HOST     | Hostname of the database                                      |    ▶️     | 127.0.0.1:3546      |
| DB_USERNAME | Username of the database                                      |    ▶️     | root                |
| DB_PASSWORD | Password of the database                                      |    ▶️     | abc123              |
| DB_DATABASE | Database name                                                 |    ▶️     | white-leopard       |
| CLIENT_ID   | Client ID of the Discord appication associated with the token |    🚀     | 763035392692274     |

### Icon explanation:
- ▶️ = Required in runtime
- 🚀 = Required during CI/CD