import { Entity, PrimaryColumn, Column } from "typeorm";

@Entity()
export class GuildSetting {
    @PrimaryColumn("varchar")
    id!: string;

    @Column("varchar", { nullable: true, default: null })
    notificationChannelID!: string | null;

    @Column("date", { nullable: true, default: null })
    isPremiumUntil!: Date | null;
}